<template>
  <!--  <home-ty v-if="isTydc"></home-ty>-->
  <!-- <home-njck v-if="isNjck"></home-njck> -->
  <component v-if="isCustom" :is="custom"></component>
  <home-conductor v-else-if="uRole == 10 || uRole == 4"></home-conductor>
  <home-admin v-else-if="uRole == 0 || uRole == 1"></home-admin>
  <home-ops v-else-if="uRole == 2"></home-ops>
  <home-monitor v-else-if="uRole == 3"></home-monitor>
  <default-home v-else></default-home>
</template>

<script>
import HomeConductor from "./home-conductor.vue";
import HomeAdmin from "./home-admin.vue";
import HomeOps from "./home-ops.vue";
import HomeMonitor from "./home-monitor.vue";
import HomeTy from "./home-ty.vue";
import HomeNjck from "./home-njck.vue";
import HomeYnkm from "./home-ynkm.vue";
import HomeSzdt from "./home-szdt.vue";
import DefaultHome from "./index.vue";
import config from "@/assets/js/config";
export default {
  name: "home",
  components: {
    HomeConductor,
    HomeAdmin,
    HomeOps,
    HomeMonitor,
    DefaultHome,
    HomeTy,
    HomeNjck,
    HomeYnkm,
    HomeSzdt,
  },
  computed: {
    isCustom() {
      const clientName = config.clientName.name;
      return ["", "sxty", "tydc"].every((v) => clientName != v);
    },
    custom() {
      let res = "";
      if (!this.isCustom) {
        return "";
      }
      const name = config.clientName.name;
      switch (name) {
        case "njck":
          res = "HomeNjck";
          break;
        case "ynkm":
        case "cqdz":
          res = "HomeYnkm";
          break;
        case "szdt":
          res = "HomeSzdt";
          break;
      }
      return res;
    },
  },
  data() {
    let userPower = sessionStorage.getItem("userPower");
    let clientName = config.clientName.name;
    return {
      uRole: clientName == "sxty" ? userPower : -1,
      // isTydc: clientName == "tydc",
      // isNjck: clientName == "njck",
    };
  },
  mounted() {},
};
</script>

<style scoped></style>
